Bug 491629 - 1bfd:1688 TouchPack Resistive Touch Screen events partially wrong
1bfd:1688 TouchPack Resistive Touch Screen events partially wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 08:23 EDT by Gabriele Turchi
Modified: 2011-02-15 06:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 06:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Touchpack kernel driver (sic...) (1.79 KB, text/plain)
2009-04-03 12:07 EDT, Gabriele Turchi
no flags Details

  None (edit)
Description Gabriele Turchi 2009-03-23 08:23:46 EDT
Description of problem:

This usb touch screen appear to be correctly detected, but finger movement are mapped to 3rd and 4th axis ("Z" and "Rx")

Version-Release number of selected component (if applicable):


How reproducible:

Everytime

Steps to Reproduce:
1. start x
2.
3.
  
Actual results:

the tap is detected (on the current mouse position), but no movement.

Expected results:

mouse pointer moved to tap point.

Additional info:

Testing with evtest make evident the problem.

I'm sorry for my bad english
Comment 1 Gabriele Turchi 2009-04-03 12:07:17 EDT
Created attachment 338072 [details]
Touchpack kernel driver (sic...)

This very small "driver" for eee touch screen make the miracle.... To be honest, is only removing some capabilities (for evdev sanity), and patching wrong axes.

I don't know if it is the best (or even the right) way to do it, but at least it works for me...
Comment 2 Richard Schwarting 2009-08-28 15:38:50 EDT
Thanks for the patch.

Was this submitted upstream at all?  

I hope someone from the kernel/X.org/Redhat takes an interest in this.
Comment 3 Bug Zapper 2009-11-18 06:35:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Gabriele Turchi 2009-11-18 07:00:38 EST
I have submitted the patch on lkml (and was forwarded to linux-input ml), but no answer yet... Maybe with a "sponsor"...
Comment 5 Bug Zapper 2010-04-27 09:18:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Gabriele Turchi 2011-02-15 06:26:33 EST
Testing a F14 on a new-but-similar machine (same touch screen, same usb code), the touch screen works well out-of-the-box.

Note You need to log in before you can comment on or make changes to this bug.